import App from "./App";
import Vue from "vue";
// #ifndef VUE3
// 阻止生产环境信息
Vue.config.productionTip = false;
// 配置文件
import config from '@/common/config.js';
Vue.prototype.$config = config;
// api配置
import { requestBase, requestFile } from "@/common/api.js";
Vue.prototype.$api = requestBase;
Vue.prototype.$apifile = requestFile;
App.mpType = "app";
const app = new Vue({ ...App });
app.$mount();
// #endif
// #ifdef VUE3
import { createSSRApp } from "vue";
export function createApp() {
  const app = createSSRApp(App);
  return { app };
}
// #endif
